zfs-linux (2.3.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian (LP: #2101893)
  * debian/control:
    - drop dependencies on "zfs-modules | zfs-dkms" such that all
      packages can be installed in containers, on hosts that have zfs module
      loaded
  * debian/patches:
    - apply Ubuntu patchset to integrate with zsys
      - adding
        - ubuntu/0002-Revert-etc-systemd-zfs-mount-generator-rewrite-in-C.patch
        - ubuntu/4000-zsys-support.patch
      - removing
        - ubuntu/0001-Revert-etc-systemd-zfs-mount-generator-output-tweaks.patch
        - ubuntu/0001-Revert-etc-systemd-zfs-mount-generator-serialise-han.patch
        - ubuntu/0002-Revert-etc-systemd-zfs-mount-generator-output-tweaks.patch
        - ubuntu/0003-Revert-etc-systemd-zfs-mount-generator-rewrite-in-C.patch
    - ubuntu/0001-Revert-Revert-systemd-Use-non-absolute-paths-in-Exec.patch
    - fixup-abi.patch
    - ubuntu/4510-silently-ignore-modprobe-failure.patch
    - enable 6.14 support via --enable-linux-experimental flag
      - ubuntu/0003-enable-linux-experimental.patch
    - ubuntu/0004-revert-zinject-count-matches-and-injections-for-each-handler.patch
  * debian/rules:
    - enforce abi check on Ubuntu amd64
    - allow kernel version not matching META
  * debian/tests:
    - draid tests fail upstream, so marking failures as expected
      to fail
  * debian/tests/control:
    - reduce testing to smoketest only
    - Ubuntu Kernel regression testing covers zfs testsuite
    - Drop depends on linux-headers-*.

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 13 Mar 2025 13:18:06 -0500

zfs-linux (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * d/patches:
    + remove applied patches in 2.3.1
    + backport upstream patch to fix flushing on zvol (closes: #1100086)
  * d/rules: install pyzfs documentation into usr/share/doc/python3-pyzfs
    + add link for backward compatibility
    + add pyzfs-doc.doc-base
  * Add new symbols in libzpool6linux
  * Remove unused lintian-overrides

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 13:56:58 +0800

zfs-linux (2.3.0-2) unstable; urgency=medium

  * cherry-pick upstream pre-2.3.1 patches

 -- Aron Xu <aron@debian.org>  Mon, 03 Mar 2025 14:30:25 +0800

zfs-linux (2.3.0-2~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/tests: remove i386 from autopkgtest due to kernel support removed
  * d/patches: backport compatibility patches for Liunx 6.12 and 6.13
    (closes: #1093115)
  * d/control: add Multi-Arch attributes for binary packages

  [ Andreas Beckmann ]
  * dkms.mkconf: switch to BUILD_EXCLUSIVE_CONFIG (closes: #1098887)
  * dkms.mkconf: set BUILD_EXCLUSIVE_KERNEL_MIN to the value from META
  * META: bump Linux-Minimum due to SHRINK_EMPTY usage

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 17:32:05 +0800

zfs-linux (2.3.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

  [ наб ]
  * d/control: libzfslinux-dev Depends: libtirpc-dev, zlib1g-dev
    (Closes: #1095855)

  [ Shengqi Chen ]
  * Upload to unstable (closes: #1093115, #1095583).

 -- Shengqi Chen <harry@debian.org>  Sun, 16 Feb 2025 22:08:05 +0800

zfs-linux (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0
    (No functional changes since 2.3.0~rc5-1.)

 -- Shengqi Chen <harry@debian.org>  Tue, 14 Jan 2025 13:29:28 +0800

zfs-linux (2.3.0~rc5-1~exp1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add protective diversions for concurrent package rename and aliasing
    change of libzfs_core.so.* (DEP17 P1 M8, Closes: #1092598)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 10 Jan 2025 09:03:13 +0100

zfs-linux (2.3.0~rc5-1~exp1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * d/control: remove python3-distutils from Depends: alternative
    (Closes: #1082141)

  [ Shengqi Chen ]
  * New upstream version 2.3.0~rc5
    * Bump SONAME to libzpoollinux6
  * d/not-installed: update list
  * d/symbols: refresh symbol list for all libraries
  * d/rules: run override_dh_autoreconf when building zfs-modules deb
  * d/tests: remove call to autoreconf in binary-debs-modules script
  * d/patches:
    + refresh patches & disable bump-linux-maximum.patch
    + add patch to fix pyzfs version

 -- Shengqi Chen <harry@debian.org>  Tue, 07 Jan 2025 23:04:20 +0800

zfs-linux (2.2.7-2) unstable; urgency=medium

  * Add patch to fix simd_stat compilation on armel

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 25 Dec 2024 16:11:41 +0800

zfs-linux (2.2.7-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: Breaks zfs-fuse (Closes: #1058684)

  [ Shengqi Chen ]
  * New upstream version 2.2.7 (Closes: #1089578, #1089488, #1084964)
  * Refresh existing patches & symbol control files
  * d/rules: skip installing upstream removed files
  * d/copyright: remove superfluous files
  * d/control: add zfs-fuse version to Breaks

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 13 Dec 2024 01:31:52 +0800

zfs-linux (2.2.6-2) unstable; urgency=high

  [ Alexandre Detiste ]
  * d/control: remove python3-distutils from Depends: alternative (Closes: #1082141)

  [ Aron Xu ]
  * Revert "d/patches: add bump-linux-maximum.patch"

 -- Aron Xu <aron@debian.org>  Sat, 12 Oct 2024 19:05:55 +0800

zfs-linux (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
    - compatibile with Linux 4.18 - 6.11rc
  * d/patches: refresh patches & removed applied patch

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 05 Sep 2024 10:56:11 +0800

zfs-linux (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5
    - fix bash-completion initialization (closes: #1074597)
    - other fixes: https://github.com/openzfs/zfs/releases/tag/zfs-2.2.5
  * d/patches:
    - refresh existing patches
    - add bump-linux-maximum.patch to compile on 6.10 (closes: #1077835)

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 08 Aug 2024 17:44:24 +0800

zfs-linux (2.2.4-2) unstable; urgency=medium

  * d/tests: avoid running zfs-test-suite-* automatically
    by adding custom restrictions
  * Opt-in usr-merge:
    - d/: install files into /usr (closes: #1061359)
    - d/: move some tools out of /usr/sbin and add links for compatibility

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 02 Jun 2024 15:12:52 +0800

zfs-linux (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/patches: remove patches already applied by upstream
  * libzpool: update symbol list
  * d/tests: skip some flaky tests in zfs-test-suite-{1,2}
  * d/control: update python3 dependency of zfs-dkms
  * d/symbols: remove unreferenced libspl symbols (closes: #1070899)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 13 May 2024 13:57:29 +0800

zfs-linux (2.2.3-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * d/control: add Build-Depends on libtirpc-dev (closes: #1067088)
  * Add patch to fix path in man/zfs_prepare_disk.8
  * d/control: upgrade to std-ver 4.7.0 (no changes required)
  * Some improvements to autopkgtest (see: #1068559):
    - d/control: add more recommends for zfs-test to fix tests
    - split zfs-test-suite into four smaller parts
    - try to skip some tests that require large memory
    - use presistent tmpdir for zfs-test-suite

  [ Benda Xu ]
  * OpenRC no longer breaks the ZFS initscripts on Debian.
  * Fix substitution behaviour in config/Substfiles.am

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 14 Apr 2024 10:59:52 +0800

zfs-linux (2.2.3-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: add Shengqi Chen to Uploaders

  [ Shengqi Chen ]
  * New upstream version 2.2.3
    - add compatibility with Linux 6.6 (closes: #1060899)
    - fix private mmap permission of R/O files (closes: #1052472)
    - ...and many more fixes (see upstream changelog)
  * Some packaging updates:
    - symbols: add new symbols for 2.2.3 in libzfs4 and libzpool5
    - lintian-overrides: remove obsolete rules, update rule names
    - README.debian: fix a typo
    - control: lift dh-compat to 13
    - not-installed: remove actually installed files
    - patches:
      + remove some outdated / applied patches
      + fix a typo in 2100-zfs-load-module.patch (related: #1041857)
      + enable ubuntu/zfs-mount-container-start.patch

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 21:28:24 +0800

zfs-linux (2.2.3-1~exp1) UNRELEASED; urgency=medium

  * New upstream version 2.2.3
    - add compatibility with Linux 6.6 (closes: #1060899)
    - fix private mmap permission of R/O files (closes: #1052472)
    - and many more fixes (see upstream changelog)
  * d/patches:
    - remove some applied / outdated patches
    - fix a typo in 2100-zfs-load-module.patch (related: #1041857)
    - enable ubuntu/zfs-mount-container-start.patch
  * d/: add new symbols for libzfs4 and libzpool5

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 15:59:29 +0800

zfs-linux (2.2.2-5~exp4) UNRELEASED; urgency=medium

  [ Shengqi Chen ]
  * d/: update rule names in lintian-overrides, fix typos, lift dh-compat to 13
  * d/not-installed: remove actually installed files

  [ Aron Xu ]
  * d/control.ubuntu: Conflicts with nordugrid-arc-client

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 14:08:02 +0800

zfs-linux (2.2.2-5~exp3) experimental; urgency=medium

  * Remove more obsolete lintian overrides
  * d/control: zfsutils-linux now conflicts with nordugrid-arc-client
    (Closes: #1063392)
  * d/NEWS: add notice on usr-merge and package conflict

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 07 Feb 2024 23:11:07 +0800

zfs-linux (2.2.2-5~exp2) experimental; urgency=medium

  * d/tests: add missing header dependency and fix zfs-test-suite
    (Closes: #983661)
  * d/tests: refactor kernel-smoke-test, add tests for draid[1-3]
  * d/: install files into /usr (Closes: #1061359)
  * d/: move some tools out of /usr/sbin and add links for compatibility

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 05 Feb 2024 22:44:24 +0800

zfs-linux (2.2.2-5~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/tests: add missing header dependency and fix zfs-test-suite
    (Closes: #983661)
  * d/tests: refactor kernel-smoke-test, add tests for draid[1-3]

  [ Aron Xu ]
  * Remove unused lintian overrides

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 12 Jan 2024 14:07:04 +0800

zfs-linux (2.2.2-4) unstable; urgency=medium

  * Cherry-pick patch to fix typo in zed.rc

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 09 Jan 2024 16:14:53 +0800

zfs-linux (2.2.2-3) unstable; urgency=medium

  * Add check for CONFIG_KERNEL_MODE_NEON in neon patch on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 26 Dec 2023 22:50:23 +0800

zfs-linux (2.2.2-2) unstable; urgency=medium

  * Update symbols for armel architecture
  * Add patch to check neon symbols on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 25 Dec 2023 17:32:27 +0800

zfs-linux (2.2.2-1) unstable; urgency=medium

  * libzpool5linux: add additional symbols for arch-specific implementations
  * Remove already applied patch for CVE-2013-20001
  * Backport patch to enable non-SIMD SHA-2 kernels on armel
  * Backport patch to workaround GPL-only symbols on riscv

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 24 Dec 2023 14:19:46 +0800

zfs-linux (2.2.2-1~exp1) experimental; urgency=high

  [ Mo Zhou ]
  * Add several new symbols for ppc64el.

  [ Shengqi Chen ]
  * New upstream version 2.2.2

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 12:26:32 +0800

zfs-linux (2.2.1-1~exp2) experimental; urgency=medium

  * Add patch to fix compiling on armel

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 23:08:38 +0800

zfs-linux (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.1
  * Include files for zfs_prepare_disk in zfsutils-linux.install
  * Update symbols for dynamic libraries
  * symbols: include some SIMD impl of zfletcher on i386
  * symbols: use arch-bits when possible

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 15:31:24 +0800

zfs-linux (2.2.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.2.0
  * Partial revert the copyright update to fix wrong changes.
  * Refresh symbols control file.
  * Fix modules package installation control file.
  * Upload to experimental.

  [ Thomas Lamprecht ]
  * d/install: remove manpages for BSD-specific jail/unjail hooks
  * zfsutils-linux: install new trim units, zilstat tool, and new man pages
  * d/copyright: adapt to file moves and deletions

  [ Stoiko Ivanov ]
  * d/rules: update for automake changes
  * d/rules: drop bash_completion mangling
  * update symbols
  * update lintian overrides
  * Quilt refresh patchset

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Nov 2023 20:27:52 -0400

zfs-linux (2.1.14-2) UNRELEASED; urgency=medium

  * libshare/nfs: backport patch from upstream to fix ipv6 addr processing (Closes: CVE-2013-20001, #1059322)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 04 Dec 2023 17:38:21 +0800

zfs-linux (2.1.14-1) unstable; urgency=high

  * New upstream version 2.1.14 (Closes: #1056752, CVE-2023-49298)
  * Remove already merged emergency patches
  * Refine header of patches, fix series file

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 17:17:32 +0800

zfs-linux (2.1.13-3) unstable; urgency=high

  * Cherry-pick another patch to fix data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 30 Nov 2023 15:53:45 +0800

zfs-linux (2.1.13-2) unstable; urgency=high

  * Add patch to mitigate data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 28 Nov 2023 11:47:10 +0800

zfs-linux (2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13 (Closes: #1043124)
  * Quilt refresh patchset.

 -- Mo Zhou <lumin@debian.org>  Wed, 27 Sep 2023 21:29:38 -0400

zfs-linux (2.1.12-2) unstable; urgency=medium

  * Add patch to check FPU availability on arm64 (Closes: #1039487)

 -- Aron Xu <aron@debian.org>  Mon, 21 Aug 2023 11:36:30 +0800

zfs-linux (2.1.12-1) unstable; urgency=medium

  * New upstream version 2.1.12
  * Remove already merged patches.
  * Rebase existing patches.
  * New symbols for libzfs4linux and libzpool5linux.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Jun 2023 21:57:31 -0700

zfs-linux (2.1.11-1) unstable; urgency=medium

  [ Mo Zhou ]
  * Fix riscv64 CI failure as well.

  [ Aron Xu ]
  * New upstream stable point release version 2.1.11
  * Drop patches that are already in upstream stable release

 -- Aron Xu <aron@debian.org>  Sun, 23 Apr 2023 17:29:38 +0800

zfs-linux (2.1.9-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Tentative fix for armel CI due to missing kernel headers.

  [ наб ]
  * /lib/zfs-linux/trim: don't exit 1 if last pool isn't nvme-only (Closes: #1030316)

  [ Aron Xu ]
  * cherry pick patches from upstream 2.1.10 stable branch
  * libzpool5linux: update symbols

 -- Aron Xu <aron@debian.org>  Wed, 19 Apr 2023 00:18:07 +0800

zfs-linux (2.1.9-3) unstable; urgency=medium

  * targeted cherry-pick to fix quality issues

 -- Aron Xu <aron@debian.org>  Sat, 25 Mar 2023 23:07:02 +0800

zfs-linux (2.1.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: remove obsolete Recommends lsb-base
  * cherry-pick upstream post 2.1.9 patches

  [ Mo Zhou ]
  * Cherry-pick more patches.
  * Add a new symbol for libzpool5linux.

 -- Aron Xu <aron@debian.org>  Sun, 26 Feb 2023 12:32:52 +0800

zfs-linux (2.1.9-1) unstable; urgency=medium

  * New upstream version 2.1.9

 -- Aron Xu <aron@debian.org>  Thu, 26 Jan 2023 14:36:48 +0800

zfs-linux (2.1.8-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 2.1.8
  * d/patches: drop patches merged upstream, refresh remaining ones
  * Update std-ver to 4.6.2, no change required

  [ Douglas A. Tutty ]
  * README.Debian: document libpam-zfs usage for homes not in rpool (Closes: #1024128)

 -- Aron Xu <aron@debian.org>  Sun, 22 Jan 2023 02:08:54 +0800

zfs-linux (2.1.7-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Add script for testing bullseye->bookworm upgrade. (irrelevant to packaging) (See: #1024326)

  [ Paulo Henrique de Lima Santana ]
  * Add Brazilian Portuguese debconf templates translation (Closes: #1026402)

  [ Aron Xu ]
  * Add upstream patch to avoid packaging.version.LegacyVersion (Closes: #1028174)
  * libzfslinux-dev: Depends on libblkid-dev (Closes: #1023070)
  * Add upstream patch for linux 6.1 and 6.2 compatibility (Closes: #1028242)

 -- Aron Xu <aron@debian.org>  Fri, 13 Jan 2023 01:47:49 +0800

zfs-linux (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7
  * Remove merged patches and refresh the remaining ones.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Dec 2022 18:42:14 -0500

zfs-linux (2.1.6-3) unstable; urgency=medium

  [ наб ]
  * Clean up and fix the automatic trim script. (Closes: #1022712)

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Nov 2022 23:29:46 -0400

zfs-linux (2.1.6-2) unstable; urgency=medium

  * Fix the accidentally broken systemd boot sequence.
    (Fixes: https://github.com/openzfs/zfs/issues/14010)
  * Install zfs-load-key.service (/dev/null).
    The init script with the same name has to be skipped for systemd.

 -- Mo Zhou <lumin@debian.org>  Tue, 11 Oct 2022 18:34:41 -0400

zfs-linux (2.1.6-1) unstable; urgency=medium

  [ Aron Xu ]
  * trim: determine if a device uses nvme transport with lsblk (Closes: #990745)

  [ Mo Zhou ]
  * New upstream version 2.1.6 (Oct 2022)
  * Install init script "zfs-load-keys". (Closes: #1017911)
  * Symlink zfs,zpool to /bin/ for non-root usage. (Closes: #979437)
  * Symlink zpool_influxdb to /bin. (Closes: #1001446)
  * Merge changes from ubuntu diff from 2.1.5-1ubuntu1 to 2.1.5-1ubuntu5.
    Changes during merge:
      - OpenZFS upstream patches are dropped.
      - d/control and d/tests/control are renamed with .ubuntu suffix.
      - ABI check is not enforced.
  * Refresh existing patches.
  * Refresh symbols control file.
  * Update lintian overrides.
  * Deal with the annoying lintian mismatch due to square brackets.

  [ Dimitri John Ledkov (ubuntu diff) ]
    * Fix cross-compile of the dkms module.
    * Adapt symbols file.
    * Bump zzstd.ko module version number. All modules are going to be
      merged into one upstream soon. At the moment all other modules
      increase with every build, but zzstd one. Append zfs package version
      to zzstd module version number, to make dkms module versions higher
      than kernel prebuilt ones.
    * Merge from Debian Unstable, remaining changes:
      - debian/control:
        + drop dependencies on "zfs-modules | zfs-dkms" such that all
      packages can be installed in containers, on hosts that have zfs
      module loaded.
        + change initramfs/dracut packages to only Ubuntu-64bit
      architectures, zfs is not well supported on 32bit arches
      - debian/rules:
        + enforce abi check on Ubuntu amd64
      - debian/tests/control:
        + reduce testing to smoketest only
        + Ubuntu Kernel regression testing covers zfs testsuite
      - debian/patches:
        + Apply Ubuntu patchset to integrate with zsys

 -- Mo Zhou <lumin@debian.org>  Tue, 04 Oct 2022 14:42:07 -0400

zfs-linux (2.1.5-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Switch to autopkgtest-pkg-dkms.
  * Do not attempt to build the modules on PREEMPT_RT kernels. (cf. #981212)

  [ Mo Zhou ]
  * New upstream version 2.1.5 (June 2022) (Closes: #1012600)
  * Remove merged patches:
    - 4900-ppc-get-user-workaround.patch
    - 4901-zvol_wait-Ignore-locked-zvols.patch
    - no-REMAKE_INITRD.patch
    And Rebase all remaining patches.

  [ Alejandro R. Sedeño ]
  * zfs-dracut: install new man page
  * refresh symbols

 -- Mo Zhou <lumin@debian.org>  Wed, 22 Jun 2022 20:48:20 -0700

zfs-linux (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4 (Closes: #1007186)
  * Sync debian/patches/ubuntu directory from 2.1.2-1ubuntu3.
    - Ubuntu patches are not applied on Debian.
    + Reorder patches in patches/series to keep ubuntu patches last.
    + Autopkgtest improvements for kernel-smoke-test-scrub.
    + Thanks to Dimitri John Ledkov <dimitri.ledkov@canonical.com>.
    + Thanks to Dave Jones <dave.jones@canonical.com>.
    + Sync debian/control.ubuntu from downstream debian/control.
  * Rebase existing patchset to new upstream release.
  * Install upstream's new systemd scrub service (weekly and monthly).
  * Build with libcurl for new keylocation=https:// (Closes: #988521)
  * Refresh symbols control file.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sat, 26 Mar 2022 15:44:54 -0400

zfs-linux (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Update symbols

 -- Aron Xu <aron@debian.org>  Thu, 16 Dec 2021 23:12:47 +0800

zfs-linux (2.1.1-3) unstable; urgency=medium

  * Fix pkgcfg path in dkms.mkconf
  * Add patch to avoid zfs-volume-wait timeout with locked encrypted
    zvols (Closes: #997980, LP: #1888405)
  * Update README.{Source,Debian} to reflect current situation (Closes: #986301)

 -- Aron Xu <aron@debian.org>  Wed, 08 Dec 2021 16:55:48 +0800

zfs-linux (2.1.1-2) experimental; urgency=medium

  * d/lib{uutil3,zfs4,zpool5}linux.symbols: updated

 -- Aron Xu <aron@debian.org>  Sat, 27 Nov 2021 02:37:32 +0800

zfs-linux (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1 (Closes: #991896)
  * d/patches: update for 2.1.x series
  * d/control: require abigail-tools >= 1.8
  * d/rules: allow abigail to fail
  * zfsutils-linux: move {zfs,zpool}{concepts,props} from man8 to man7
  * zfsutils-linux: install new files
  * libzpool: update soversion from 4 to 5, update symbols
  * Add PPC get_user workaround from Ubuntu
  * d/patches: clean up patches and make lintian happy
  * d/control: update short desc for libzfs4linux and libzfsbootenv1linux
  * d/patches: update Forwarded header
  * d/copyright: update copyright information
  * d/control: remove transition dummpy packages spl and spl-dkms
  * d/zfs-test.lintian-overrides: update file path
  * Close debconf translation bugs for those already merged
    Closes: #984731, #985130, #985360, #986337, #987342, #993892

 -- Aron Xu <aron@debian.org>  Wed, 24 Nov 2021 21:50:39 +0800

zfs-linux (2.0.6-1) unstable; urgency=medium

  [ Ben K ]
  * Fix grammar (or maybe it was a typo) of "das/dass" in debian/po/de.po.

  [ Aron Xu ]
  * d/README.Debian: update the scrub time
  * New upstream version 2.0.6
  * Remove applied patch, refresh remaining ones
  * Update symbols for libzpool4linux

 -- Aron Xu <aron@debian.org>  Thu, 23 Sep 2021 14:43:12 +0800

zfs-linux (2.0.3-9) unstable; urgency=medium

  * Cherry-pick "Remove iov_iter_advance() for iter_write" (Closes: #989373)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Jul 2021 13:44:20 +0800

zfs-linux (2.0.3-8) unstable; urgency=medium

  * Fix a typo in autopkgtest-dependency header package name.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Apr 2021 09:44:39 +0800

zfs-linux (2.0.3-7) unstable; urgency=medium

  * Use Architecture: field for autopkgtest.
  * Add missing test dependency linux-headers-armmp for armhf.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Apr 2021 12:24:03 +0800

zfs-linux (2.0.3-6) unstable; urgency=medium

  [ наб ]
  * Fix broken purge detection in zfs-zed.postrm. (Closes: #986374)
  * /u/l/z-l/{scrub, trim}: enhancements including proper handling for pools
    with spaces in name. (Closes: #986380)

  [ Mo Zhou ]
  * Really install README.Debian into every binary package.

 -- Mo Zhou <lumin@debian.org>  Mon, 05 Apr 2021 10:35:25 +0800

zfs-linux (2.0.3-5) unstable; urgency=medium

  [ наб ]
  * Fix d/rules that README.Debian is installed for libnvpair3linux only.
    (Closes: #986299)

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Apr 2021 17:55:51 +0800

zfs-linux (2.0.3-4) unstable; urgency=medium

  * Revise the auto-{scrub,trim} scripts and describe usage in README.Debian.
    (See #986185 and thanks for наб)

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 21:35:32 +0800

zfs-linux (2.0.3-3) unstable; urgency=medium

  * Use zfs property for periodical-{scrub,trim} cron jobs.
    This fixes the exclusive "nvme-only" behavior of the auto-trim script.
    P.S. In this way, we will not have to store configs in /etc/default/zfs,
    or use debconf database as a registry. Plus, this also allows us to
    configure the cron job behavior per zpool.
    (Closes: #986185)
  * Fix i386 autopkgtest failure due to missing dependency.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 14:34:15 +0800

zfs-linux (2.0.3-2) unstable; urgency=medium

  [ Aron Xu ]
  * cherry pick of upstream post-2.0.3 fixes
  * debconf: update the term ZFS to OpenZFS
  * debconf: run debconf-updatepo

  [ Antonio Russo ]
  * Adjust zed.d symlink-preservation (Closes: #983401)
  * Remove /etc/zfs/zed.d on purge

  [ Mo Zhou ]
  * Only automatically TRIM NVMe SSD pools. (Closes: #983086, #982505)

  [ наб ]
  * Fix a misleading comment in the scrub cronjob script. (Closes: #985349)

 -- Aron Xu <aron@debian.org>  Tue, 30 Mar 2021 14:47:05 +0800

zfs-linux (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Remove upstreamed patches.
  * Synchronize with ubuntu delta 2.0.1-1ubuntu2.

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Feb 2021 16:30:01 +0800

zfs-linux (2.0.2-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.2

  [ Antonio Russo ]
  * Remove upstreamed patches and refresh remaining ones.
  * Update debian/copyright
  * Add ZTS to debian/tests
  * Bump Standards-Version to 4.5.1 (no changes)
  * Reoganize debian/patches
  * Cherry pick patches from 2.0.3 staging

 -- Mo Zhou <lumin@debian.org>  Sat, 06 Feb 2021 13:30:55 +0800

zfs-linux (2.0.1-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Install zgenhostid in /sbin (Closes: #980464)
  * Three ZTS patches

 -- Mo Zhou <lumin@debian.org>  Thu, 21 Jan 2021 17:09:02 +0800

zfs-linux (2.0.1-2) unstable; urgency=medium

  * Patch: move manpage arcstat(1) to arcstat(8). (Closes: #980105)
  * Cherry-pick patches from upstream zfs-2.0.2-staging branch.
     + 0001-zpool-Dryrun-fails-to-list-some-devices.patch

 -- Mo Zhou <lumin@debian.org>  Fri, 15 Jan 2021 22:27:09 +0800

zfs-linux (2.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jan 2021 22:24:18 +0800

zfs-linux (2.0.1-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.1 (Closes: #977656)
  * Elaborate the functionality of ZED in long description. (Closes: #979414)
  * Fixup encoding in one of the patch headers.
  * Update lintian overrides.

  [ Antonio Russo ]
  * Update overrides for 2.0.1
  * New symbols shipped in 2.0.1

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Jan 2021 13:24:36 +0800

zfs-linux (2.0.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.0
  * d/rules: Only check ABI for the amd64 architecture.
  * Refresh symbols file again based on arm64.

  [ Antonio Russo ]
  * Use new --with-pkgconfigdir tunable
  * ship arcstat(1) manual page
  * Manual pages were split into subpages
  * Add new zstream utility
  * Include new zfs_ids_to_path tool
  * Include new pam_zfs_key mechanism
  * Refresh patches
  * Remove upstreamed patches
  * Do not regenerate zfs_gitrev.sh during dkms build
  * Bump library versions to match upstream
  * Update symbols
  * refresh lintian-overrides for 2.0.0
  * package zfsbootenv library
  * Remove upstreamed risc patches
  * override zfs-tests lintian warnings
  * Validate ABI at build time
  * Reflect libssl requirement of libzfs
  * Exclude FreeBSD sources in Linux DKMS package
  * Remove duplicate lintian override
  * Update debian/copyright

  [ Aron Xu ]
  * Remove out dated lintian override: package-uses-old-debhelper-compat-version

 -- Aron Xu <aron@debian.org>  Fri, 25 Dec 2020 01:33:41 +0800

zfs-linux (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * d/patches/update-meta.patch: disabled, not needed this upload

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2020 17:18:12 +0800

zfs-linux (0.8.5-3) unstable; urgency=medium

  [ Antonio Russo ]
  * symbols: Build-Depends-Package on libzfslinux-dev

  [ Aron Xu ]
  * Petter to step aside, thanks for all the work, happy hacking!

  [ Witold Baryluk ]
  * Don't stop on first error in scrub and trim script (Closes: #976090)

 -- Mo Zhou <lumin@debian.org>  Thu, 10 Dec 2020 14:28:50 +0800

zfs-linux (0.8.5-2) unstable; urgency=medium

  [ Antonio Russo ]
  * zfs-dkms: restrict to the same source version (Closes: #972327)
  * lintian: ignore binary data in lua script.

  [ Mo Zhou ]
  * Cherry-pick x32 support from master branch. (Closes: #968256)

 -- Mo Zhou <lumin@debian.org>  Thu, 29 Oct 2020 14:05:31 +0800

zfs-linux (0.8.5-1) unstable; urgency=medium

  [ Aron Xu ]
  * Schedule pool TRIM on every first Sunday of month

  [ Mo Zhou ]
  * New upstream version 0.8.5 (Oct 6 2020 UTC) (Closes: #966565, #968550)
  * Remove merged patches and refresh the remaining ones.
  * Update installation path for libzfslinux-dev pkgconfig files.
  * Add d/clean to clean up useless files and those generated from templates.

  [ Antonio Russo ]
  * Apply wrap-and-sort
  * Update version-dependent paths in lintian overrides
  * Update kernel compatibility
  * Install in multiarch-compatible directories.

 -- Mo Zhou <lumin@debian.org>  Fri, 16 Oct 2020 18:14:05 +0800

zfs-linux (0.8.4-2) unstable; urgency=medium

  * Sync with Ubuntu delta 0.8.4-1ubuntu10.
    + Sync 4000-zsys-support.patch from 0.8.4-1ubuntu10.
    + Backport upstream patches fixing a dependency loop when encryption
      via Luks (like swap) is enabled. (LP: #1875577)
      Patch: git_fix_dependency_loop_encryption{1,2}.patch
    + Add Linux 5.8 compat fix (4520-Linux-5.8-compat-__vmalloc.patch)
    + Remove 4500-fix-generator-invalid-cache.patch following Ubuntu
    + Make keystore encryption or direct ZFS encryption closer, and make
      the service chain more robust. (4000-mount-encrypted-dataset-fix.patch)
    + Add risc-v 64 bit support, requires implementing risc-v setjmp/longjmp
      and adding some relevant #defines (4521-enable-risc-v-isa.patch)
    + 4620-zfs-vol-wait-fix-locked-encrypted-vols.patch
      zfs-volume-wait.service systemd unit does not start if the encrypted
      zvol is locked. The /sbin/zvol_wait should not wait for links when the
      volume has property keystatus=unavailable. Add a check for this.
    + Thanks to Ubuntu developers. Let's hope for a smaller debdiff.
  * Fix FTBFS with sphinx (Closes: #962276).
  * Rebase git_fix_dependency_loop_encryption1.patch and refresh the rest.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jul 2020 22:26:35 +0800

zfs-linux (0.8.4-1) unstable; urgency=medium

  [ Antonio Russo ]
  * Let zfs-test use installed python3
  * Add dependencies for zfs-test
  * Refresh patches for 0.8.4
  * Refresh debian/not-installed

  [ Mo Zhou ]
  * New upstream version 0.8.4
  * Bump Standards-Version to 4.5.0 (no change).
  * Refresh symbols control file.
  * Remove the unnecessary --with systemd dh option.

 -- Mo Zhou <lumin@debian.org>  Wed, 13 May 2020 14:46:54 +0800

zfs-linux (0.8.3-2) unstable; urgency=medium

  [ Richard Laager ]
  * cron: Do not error if already scrubbing

  [ Antonio Russo ]
  * [dracut] include zfs-load-module.service
  * Preserve /etc/zfs/zed.d configuration on upgrade (Closes: #952822)

  [ Mo Zhou ]
  * Reword ZFS Description, thanks to Richard Laager (Closes: #949911)
  * Import patches from Ubuntu delta (0.8.3-1ubuntu3).
    + Apply 2100-zfs-load-module.patch and add this new service.
    + The rest Ubuntu specific patches are left in the comment.
  * Refresh upstream Git repo URL in d/copyright.
  * Sync patchset with Ubuntu diff (= 0.8.3-1ubuntu8).
    + Cherry-pick patches for Linux 5.5, 5.6 support.
    + Rest patches are unapplied (can reduce Debian/Ubuntu debdiff).
    + Many thanks to Ubuntu developers.
  * Import the Ubuntu version of tests/control as tests/control.ubuntu
  * Autopkgtest: Reconfigure before testing binary kmod pkg builds.

 -- Mo Zhou <lumin@debian.org>  Thu, 19 Mar 2020 10:58:53 +0800

zfs-linux (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Remove the seven upstreamed/cherry-picked patches.
  * Mark zfs-import.service as not-installed.
  * Refresh symbol control files.
  * Add NEWS entry about SIMD and parallel KABI checks.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jan 2020 15:58:35 +0800

zfs-linux (0.8.2-5) unstable; urgency=medium

  * Remove old+unused SIMD patches; Move the openrc patch to "unapplied" dir.
  * Correct zpool scrubing oneliner in crontab. (Closes: #946748)
    Thanks to Dirk Heinrichs. Reviewed by Richard Laager.
  * Cherry-pick: fix-automount-for-root-filesystems.patch (Closes: #945585)
  * Add patch headers to patches without them.
  * Override a series of lintian Info.
  * Bump Standards-Version to 4.4.1 (no change).
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Tue, 21 Jan 2020 20:39:26 +0800

zfs-linux (0.8.2-4) unstable; urgency=medium

  [ Colin Ian King ]
  * etc-defaults-zfs-notice.patch: fix "unexpected end of diff".

  [ Steve Langasek ]
  * initramfs: setup keymapping and video for prompts. (LP: #1856408)

  [ Heitor Alves de Siqueira ]
  * Fix livelock between ZFS evict and writeback threads (LP: #1856084)
    - Upstream 41e1aa2a06f8 "Break out of zfs_zget early if unlinked znode"
    - Upstream 0c46813805f4 "Check for unlinked znodes after igrab()"
    (Closes: #946610)

  [ Mo Zhou ]
  * Autopkgtest: Remove the vendor tests from binary-debs* tests
    and the dkms-zfs-test.
  * Merge 2 upstreamed patches from ubuntu diff (0.8.2-3ubuntu1)
    + 4501-fix-var-lib-race.patch
    + 4600-diff_cb-does-not-handle-large-dnodes.patch
  * Don't restart zfs-{import*,mount} on/after upgrade. (Closes: #923377)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Dec 2019 21:25:28 +0800

zfs-linux (0.8.2-3) unstable; urgency=medium

  [ Aron Xu ]
  * Drop OpenRC support due to the difficulties of merging upstream

  [ Mo Zhou ]
  * Also trigger update-initramfs by zfs-dkms in case that of zfs-initramfs
    was somehow missed. (Closes: #941859)
  * Amend broken autopkgtest for binary module package build.
  * Have zfs-dkms Suggest: debhelper (Closes: #909183)
  * Try to load zfs.ko before starting services at postinst. This fixes a
    long-standing problem where fresh installs may fail during postinst.
    (Closes: #921305, #927003, #940238)
  * Patch /etc/defaults/zfs, adding a notice for systemd user.
    (Closes: #901436)
  * Update lintian overrides.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Nov 2019 13:00:41 +0800

zfs-linux (0.8.2-2) unstable; urgency=medium

  [ Antonio Russo ]
  * relocate zgenhostid and zvol_wait from /usr/bin to /sbin
  * Remove a patch implicated in data corruption (related to
    linux-5.0-simd-compat.patch)

  [ Mo Zhou ]
  * Collect symbol updates from buildd/ppa for non-x86 archs.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 03:09:51 +0000

zfs-linux (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 (Closes: #941019)
  * Deprecate control.in and use ${linux:Recommends} for the dynamic part.
  * French debconf templates translation by Julien Patriarca (Closes: #934631)
  * Remove merged patches:
     - 2000-increase-default-zcmd-allocation-to-256K.patch
     - git_fix_mount_race.patch
  * Disable linux-5.0-simd-compat.patch due to its incorrect assumption that
    may lead to system instability when SIMD is enabled. (Closes: #940932)
    See also https://github.com/zfsonlinux/zfs/issues/9346
  * Install new service that waits on zvol links to be created (gh#8975).
  * Remove unused control variable ${python3:Depends} for zfsutils-linux.
  * Track symbols for lib{nvpair1,uutil1,zfs2,zpool2}.
  * lintian: Override source: excessive-debhelper-overrides
  * lintian: Remove unused overrides for zfs-test.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 27 Sep 2019 12:35:34 +0800

zfs-linux (0.8.1-4) unstable; urgency=medium

  [ Didier Roche ]
  * Cherry-pick commit to fix a race condition when canmount=off
    (LP: #1837717) (synced from 0.8.1-1ubuntu8).

  [ Fabian Grünbichler ]
  * cherry-pick compat fix for CONFIG_X86_DEBUG_FPU (Closes: #934282)

  [ Mo Zhou ]
  * Drop lib{attr,selinux}1-dev from B-D; add lib{aio,udev,elf}-dev to B-D.
    (LP: #1837544) (See https://github.com/zfsonlinux/zfs/issues/9036)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 10 Aug 2019 04:23:33 +0000

zfs-linux (0.8.1-3) unstable; urgency=medium

  [ Aron Xu ]
  * Install fakeroot for some autopkgtest cases
  * Make binary module packages builds parallel
  * control: fix typo in zfs-test short description

  [ Mo Zhou ]
  * Patch: force verbose output from libtool.
  * Override false posive lintian errors and several warnings.
  * Bump Standards-Version to 4.4.0 (no change).
  * Cherry-pick e5db313 to fix the linux-SIMD compatibility.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 22 Jul 2019 08:49:44 +0000

zfs-linux (0.8.1-2) experimental; urgency=medium

  [ Colin Ian King ]
  * Ensure libc6-dev or libc-dev is installed when building zfs-dkms.
  * Ensure any previous ZFS/SPL modules are removed before loading
    new ZFS/SPL modules to ensure correct drivers are being tested.
    Changes in debian/tests/kernel-smoke-test
  * Fix timeout issue in LXD: 3100-remove-libzfs-module-timeout.patch

  [ Mo Zhou ]
  * Cherry-pick patches from ubuntu diff: 0.8.1-1ubuntu5 .
  * Skip autopkgtest: dkms/modules tests for Ubuntu.
  * Avoid lintian warning by using explicit await trigger.
  * Override more lintian warnings.
  * Remove insserv confliction as the circular depends has been fixed;
    libpython3-stdlib (<< 3.6.4) ships distutils. (Closes: #931515)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 09 Jul 2019 07:29:27 +0000

zfs-linux (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1
  * Remove cherry-picked zfs-gh8816-revert-ec4f9b8.patch .

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 18 Jun 2019 16:20:51 +0800

zfs-linux (0.8.0-2) experimental; urgency=high

  * Revert ec4f9b8 to avoid potential dataloss. (See: Github#8816)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 30 May 2019 02:19:31 +0000

zfs-linux (0.8.0-1) experimental; urgency=medium

  [ Stoiko Ivanov ]
  * zfsutils-linux: persist hostid in postinst script

  [ Mo Zhou ]
  * New upstream version 0.8.0
  * Rebase 0001-Prevent-manual-builds-in-the-DKMS-source.patch
  * Refresh 2000-increase-default-zcmd-allocation-to-256K.patch
  * debian/NEWS: add news for 0.8.0
  * Enforce version alignment between zfsutils-linux/libs. (Closes: #928118)
  * Remove unused lintian overrides for zfsutils-linux.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 29 May 2019 08:59:35 +0000

zfs-linux (0.8.0~rc4-1) experimental; urgency=medium

  * New upstream version 0.8.0~rc4
  * Remove already merged patches:
    - clarify-zpool-iostat-statistics-reporting.patch
    - allow-rename-of-in-use-zvol-dataset.patch
    - delay-injection-can-cause-indefinitely-hung-zios.patch
    - dont-enter-zvols-rangelock-for-read-bio-with-size-0.patch
    - fix-zdb-crash.patch
    - zfs-mount-manpage-should-document-legacy-behaviour.patch
    - zfs-mounted-nfsv3-shares-fail-lock-reclaims.patch
  * Refresh remaining patches (quilt push -a --refresh).
  * Refresh debian/control.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 18 Apr 2019 08:48:08 +0000

zfs-linux (0.8.0~rc3-1) experimental; urgency=medium

  [ Antonio Russo ]
  * Use zfsexecdir tunable to relocate scripts.
  * Install systemd zfs-mount-generator
  * SPL is now included in upstream ZFS packaging.
    Build dummy spl and spl-dkms packages to ease upgrades.
    (Closes: #909153, #902165, #894609)
  * Refresh remaining patches.
  * Include new scsi example scripts.
  * Use arc_summary3.py to provide arc_summary.
  * Reflect tests removed upstream.
  * Include zfs-program manual page.
  * Add ssl dependency.
  * Build and provide python3-pyzfs package.
  * Fix dh_strip build failure

  [ Mo Zhou ]
  * New upstream version 0.8.0~rc3 (Closes: #900862)
  * Use Linux-{Maximum,Minimum} META info to specify linux compatibility.
    Based on Antonio Russo <antonio.e.russo@gmail.com>'s patch.
  * Update the Homepage URL to use https format URL.
  * Remove duplicated "Priority" fields in control*.
  * Update short and long descriptions for dummy packages: spl, spl-dkms.
  * Let dummy packages depends on misc:Depends, to make lintian happy.
  * Update lintian overrides for zfsutils-linux, zfs-test and zfs-zed.
  * Drop zfs-dbg in favor of automatic -dbgsym packages.
  * Overhaul copyright for the 0.8.X release.
  * Add 2 NEW autopkgtest cases which build modules and modules-udeb packages.
  * Update control.modules.in and refresh the kernel module file list.
  * Add missing Deps: file, python3-distutils for zfs-dkms.
  * Upgrade debian/watch to uscan-version-4.
  * Autopkgtest: New smoke test: kernel-smoke-test-encryption
  * Autopkgtest: New test case that runs ztest.
  * Remove 25 backported patches that are already applied in current version:
     - 2301-zfs-promote-rename-.-recv-should-be-an-error.patch
     - 2302-Fix-parsable-zfs-get-for-compressratios.patch
     - 2303-Fix-zpool-events-scripted-mode-tab-separator.patch
     - 2305-Allow-longer-SPA-names-in-stats.patch
     - 2308-OpenZFS-8375-Kernel-memory-leak-in-nvpair-code.patch
     - 2309-OpenZFS-7261-nvlist-code-should-enforce-name-length-.patch
     - 2310-OpenZFS-5778-nvpair_type_is_array-does-not-recognize.patch
     - 2313-Fix-printk-calls-missing-log-level.patch
     - 2314-Fix-abdstats-kstat-on-32-bit-systems.patch
     - 2316-Fix-coverity-defects-147480-147584.patch
     - 2317-Fix-coverity-defects-CID-161388.patch
     - 2318-Use-ashift-12-by-default-on-SSDSC2BW48-disks.patch
     - 2319-OpenZFS-8558-8602-lwp_create-returns-EAGAIN.patch
     - 2320-ZFS-send-fails-to-dump-objects-larger-than-128PiB.patch
     - 2323-Fix-segfault-in-zpool-iostat-when-adding-VDEVs.patch
     - 2328-Fix-fsanitize-address-memory-leak.patch
     - 2331-OpenZFS-8897-zpool-online-e-fails-assertion-when-run.patch
     - 2332-OpenZFS-8898-creating-fs-with-checksum-skein-on-the-.patch
     - 2334-OpenZFS-8641-zpool-clear-and-zinject-don-t-work-on-s.patch
     - 2336-OpenZFS-8972-zfs-holds-In-scripted-mode-do-not-pad-c.patch
     - 2337-Revert-Remove-wrong-ASSERT-in-annotate_ecksum.patch
     - 2338-OpenZFS-8731-ASSERT3U-nui64s-UINT16_MAX-fails-for-la.patch
     - 2339-Prevent-zdb-8-from-occasionally-hanging-on-I-O.patch
     - 2341-Change-movaps-to-movups-in-AES-NI-code.patch
     - 3203-Fix-zpool-create-t-tempname.patch

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 02 Apr 2019 09:29:55 +0000

zfs-linux (0.7.13-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 0.7.13
  * Rebase 2332-OpenZFS-8898-creating-fs-with-checksum-skein-on-the-.patch.
  * Remove linux 4.20 and 5.0 compat fixes (supported by upstream).
    - 3204-Add-4.20-timespec-compat-fix.patch
    - 3300-Add-check-for-totalram-pages.patch
    - 3301-Add-check-for-ktime_get_coarse_real_ts64.patch
    - 3302-linux-5-0-disable-vector-instructions-on-5-0-kernels.patch
    - 3303-linux-5-0-convert-ms-macros-to-sb.patch
    - 3304-linux-5-0-fix-bio-set-dev.patch
  * Bump Standards-Version to 4.3.0 (no change).

  [ Antonio Russo ]
  * Include new example scripts

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 05 Mar 2019 07:12:33 +0000

zfs-linux (0.7.12-5) unstable; urgency=medium

  * Prevent autopkgtest::dkms-zfs-test from installing zfsutils-linux
    which would cause test failure.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 28 Feb 2019 13:21:53 +0000

zfs-linux (0.7.12-4) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Mo Zhou ]
  * Rewrite autopkgtest script dkms-zfs-test. (Closes: #921383)
  * Cherry-pick some upstream commits and refresh patches:
    + clarify-zpool-iostat-statistics-reporting.patch
    + delay-injection-can-cause-indefinitely-hung-zios.patch
    + dont-enter-zvols-rangelock-for-read-bio-with-size-0.patch
    + fix-zdb-crash.patch
    + zfs-mount-manpage-should-document-legacy-behaviour.patch
    + zfs-mounted-nfsv3-shares-fail-lock-reclaims.patch
    + allow-rename-of-in-use-zvol-dataset.patch

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 27 Feb 2019 10:36:59 +0000

zfs-linux (0.7.12-3) unstable; urgency=medium

  [ Colin Ian King (Ubuntu diff 0.7.12-1ubuntu5) ]
  * Cherry-pick upstream patches:
     + 2301-zfs-promote-rename-.-recv-should-be-an-error.patch
     + 2302-Fix-parsable-zfs-get-for-compressratios.patch
     + 2303-Fix-zpool-events-scripted-mode-tab-separator.patch
     + 2305-Allow-longer-SPA-names-in-stats.patch
     + 2308-OpenZFS-8375-Kernel-memory-leak-in-nvpair-code.patch
     + 2309-OpenZFS-7261-nvlist-code-should-enforce-name-length-.patch
     + 2310-OpenZFS-5778-nvpair_type_is_array-does-not-recognize.patch
     + 2313-Fix-printk-calls-missing-log-level.patch
     + 2314-Fix-abdstats-kstat-on-32-bit-systems.patch
     + 2316-Fix-coverity-defects-147480-147584.patch
     + 2317-Fix-coverity-defects-CID-161388.patch
     + 2318-Use-ashift-12-by-default-on-SSDSC2BW48-disks.patch
     + 2319-OpenZFS-8558-8602-lwp_create-returns-EAGAIN.patch
     + 2320-ZFS-send-fails-to-dump-objects-larger-than-128PiB.patch
     + 2323-Fix-segfault-in-zpool-iostat-when-adding-VDEVs.patch
     + 2328-Fix-fsanitize-address-memory-leak.patch
     + 2331-OpenZFS-8897-zpool-online-e-fails-assertion-when-run.patch
     + 2332-OpenZFS-8898-creating-fs-with-checksum-skein-on-the-.patch
     + 2334-OpenZFS-8641-zpool-clear-and-zinject-don-t-work-on-s.patch
     + 2336-OpenZFS-8972-zfs-holds-In-scripted-mode-do-not-pad-c.patch
     + 2337-Revert-Remove-wrong-ASSERT-in-annotate_ecksum.patch
     + 2338-OpenZFS-8731-ASSERT3U-nui64s-UINT16_MAX-fails-for-la.patch
     + 2339-Prevent-zdb-8-from-occasionally-hanging-on-I-O.patch
     + 2341-Change-movaps-to-movups-in-AES-NI-code.patch
     + 3203-Fix-zpool-create-t-tempname.patch
  * Add Linux 4.20 and 5.0 compat fixes. (0.7.12-1ubuntu{3,4,5})
     + 3204-Add-4.20-timespec-compat-fix.patch
     + 3300-Add-check-for-totalram-pages.patch
     + 3301-Add-check-for-ktime_get_coarse_real_ts64.patch
     + 3302-linux-5-0-disable-vector-instructions-on-5-0-kernels.patch
     + 3303-linux-5-0-convert-ms-macros-to-sb.patch
     + 3304-linux-5-0-fix-bio-set-dev.patch

  [ Aron Xu ]
  * Bump linux_compat to 5.0

  [ Mo Zhou ]
  * Update init-debian-openrc-workaround.patch
  * Remove duplicated Priority field from control.
  * Amend autopkgtest script dkms-zfs-test. (Closes: #921383)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 19 Feb 2019 04:41:10 +0000

zfs-linux (0.7.12-2) unstable; urgency=medium

  [ Colin Ian King ]
  * Only run autopkgtests for amd64, arm64, ppc64el and s390x (LP#1805627).

  [ Martin Bagge / brother ]
  * [INTL:sv] Swedish strings for zfs-linux debconf (Closes: #918020)

  [ Anders Jonsson ]
  * sv.po: typo fix

  [ Mo Zhou ]
  * Change init script's behaviour to default during postinst.
  * Add ${perl:Depends} to zfs-dkms's Depends.
  * Add autopkgtest script to test zfs-dkms build.
  * autopkgtest: minor fix

  [ Aron Xu ]
  * Add XS-Autobuild: yes to d/control
  * Conflicts with insserv << 1.18 (Closes: #915831)

 -- Aron Xu <aron@debian.org>  Fri, 11 Jan 2019 21:32:06 +0800

zfs-linux (0.7.12-1) unstable; urgency=medium

  [ Stoiko Ivanov ]
  * Add Breaks/Replaces to zfs-initramfs

  [ Mo Zhou ]
  * New upstream version 0.7.12
  * Drop unnecessary patch init-start-stop-dep-on-local-fs.patch .
  * Override init.d-script-missing-dependency-on-local_fs for zfs-zed.
  * Bump linux compatibility to 4.19 .

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 19 Nov 2018 11:32:44 +0000

zfs-linux (0.7.11-3) unstable; urgency=medium

  [ Antonio Russo ]
  + https://salsa.debian.org/zfsonlinux-team/zfs/merge_requests/9
  * Break/Replace upstream .deb packages (Closes: #839921)
  * Install upstream bash completion file instead of embedded one.
  * Modify META before autoreconf.
  * Make dkms distdir before build to avoid including build artifacts.
  * Remove ZFS_AC_PACKAGE macros from DKMS sources.
    This removes dpkg-dev dependency from zfs-dkms package.
  * Use upstream's dkms.mkconf script to produce dkms.conf .
  * Ship initramfs zdev hook in zfs-initramfs (Closes: #902052)

  [ Nicolas Braud-Santoni ]
  * Update debian/copyright, removing unused wildcards.

  [ Nicholas D Steeves ]
  * Change -dbg package's priority from extra to optional.

  [ Mo Zhou ]
  * Fix FTBFS on architecture=all due to FileNotFound. (Closes: #911937)
  * Add isolation-machine restriction to autopkgtest because the tests
    needs to interact with the kernel, i.e. loading kernel module.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 28 Oct 2018 10:28:52 +0000

zfs-linux (0.7.11-2) unstable; urgency=medium

  * Support Devuan in dkms script. (Closes: #900089)
    Thanks to Chris Dos <chris@chrisdos.com>
  * Install init scripts to support non-systemd setups. (Closes: #826994)
    Thanks to Chris Dos <chris@chrisdos.com>
  * Override init.d-script-does-not-source-init-functions for
    zfsutils-linux and zfs-zed.
  * Patch upstream init scripts to make them work for Debian+OpenRC setup.
  * Patch upstream init script to fix missing dependency on local_fs.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 26 Oct 2018 09:32:06 +0000

zfs-linux (0.7.11-1) unstable; urgency=medium

  [ Aron Xu ]
  * Add dpkg-dev to Depends of zfs-dkms (Closes: #900714)

  [ Nicolas Braud-Santoni ]
  * Use canonical HTTPS format URL for Vcs-Git (Closes: #895873)

  [ Mo Zhou ]
  * New upstream version 0.7.11 (Closes: #908290)
  * Bump linux_compat to 4.18 .
  * Replace get_next.sh with one-liner awk script in rules.
  * Append myself to Uploaders and refresh auto-generated control.
  * Use HTTPS format URI in watch file.
  * Recommends linux-libc-dev (<< LINUX_NEXT~) instead of (<< LINUX_NEXT).

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 19 Sep 2018 08:45:18 +0000

zfs-linux (0.7.9-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Expand zfs-test and add Breaks/Conflicts (Closes: #899047)

  [ Aron Xu ]
  * d/control: migrate to alioth-lists (Closes: #899756)

 -- Aron Xu <aron@debian.org>  Mon, 28 May 2018 18:22:02 +0800

zfs-linux (0.7.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * Move more zfs test tools to zfs-test package (Closes: #868653)
  * New upstream version 0.7.9
  * d/rules: add --enable-systemd
  * Fix lintian obsolete-relation-form-in-source
  * Bump supported linux version to 4.16

  [ Antonio Russo ]
  * Install enum-extract.pl with dkms
  * Handle /proc/kallsym obfuscation (Closes: #891936)

 -- Aron Xu <aron@debian.org>  Thu, 17 May 2018 23:47:29 +0800

zfs-linux (0.7.6-1) unstable; urgency=medium

  [ Lev Lamberov ]
  * [INTL:ru] Updated Russian translation of debconf (Closes: #885990)

  [ Aron Xu]
  * New upstream release (Closes: #889795, #890576)
  * 0001-Fix-bug-in-distclean-which-removes-needed-files.patch:
    removed, applied upstream
  * Update VCS-* URL to salsa.debian.org
  * Apply wrap-and-sort
  * Recommends: linux-libc-dev (< ${LINUX_NEXT}):
    Tries to prevent unexpected upgrades of kernel that is not known to
    be supported by the packaged version of ZFS/SPL. (Closes: #849420)

 -- Aron Xu <aron@debian.org>  Mon, 26 Feb 2018 16:32:29 +0800

zfs-linux (0.7.5-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 0.7.5 (Closes: #884812)

  [ Antonio Russo ]
  * Add version dependency on zfsutils-linux package (Closes: #880889)

 -- Aron Xu <aron@debian.org>  Fri, 19 Jan 2018 15:39:23 +0800

zfs-linux (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4 (Closes: #884287, #883832)
  * Require debhelper >= 10.2
  * cherry-pick: fix distclean which removes needed files (Closes: #884706)
  * Refresh patches
  * Update stdver to 4.1.2, no change required
  * Install zfs-import.target

 -- Aron Xu <aron@debian.org>  Mon, 18 Dec 2017 22:48:59 +0800

zfs-linux (0.7.3-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Add maximum version dependency on spl-dkms (Closes: #883008)

 -- Aron Xu <aron@debian.org>  Thu, 30 Nov 2017 00:34:30 +0800

zfs-linux (0.7.3-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: remove obsolete calls to dpkg-architecture (Closes: #882209)
  * zfs-test: add proper Breaks+Replaces (Closes: #880902)
  * build: add implicit version to dh_makeshlibs (Closes: #880709)

  [ Aron Xu ]
  * Depend on matching version of spl-dkms (Closes: ##881013)

 -- Aron Xu <aron@debian.org>  Tue, 28 Nov 2017 16:16:34 +0800

zfs-linux (0.7.3-1) unstable; urgency=medium

  [ Antonio Russo ]
  * Refresh manual builds DKMS prevention patch

  [ Fabian Grünbichler ]
  * zfs-test package
  * add files to debian/not-installed
  * dh_install: switch to --fail-missing
  * add new files from 0.7 to install
  * dkms: build icp module as well

  [ Antonio Russo ]
  * dracut: make module-setup.sh shebang explicit
  * add man page reference to systemd units
  * Fix install path of zpool.d scripts
  * Incorporate DebianPT.org Portuguese translation
  * Fix typo in debconf templates
  * Drop dependency on dh-systemd

  [ Aron Xu ]
  * Drop merged patches, update remainders
  * Update std-ver to 4.1.1
  * New upstream version 0.7.3
  * Update debconf pot file
  * Update control.in for dh-systemd deprecation
  * Add lintian override for zfs-test

  [ Colin King ]
  * Improve cloning performance for large numbers of clones (LP: #1567557)
    Bump zcmd buffer from 16K to 256K.

 -- Aron Xu <aron@debian.org>  Tue, 31 Oct 2017 18:52:01 +0800

zfs-linux (0.6.5.11-1) unstable; urgency=medium

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.11

  [ Fabian Grünbichler ]
  * fix rm path in zfs-share.service

 -- Aron Xu <aron@debian.org>  Fri, 14 Jul 2017 16:33:23 +0800

zfs-linux (0.6.5.10-1) unstable; urgency=medium

  * Add kernel version to depmod cmd (Closes: #860958)
  * New upstream version 0.6.5.10

 -- Aron Xu <aron@debian.org>  Wed, 05 Jul 2017 18:11:39 +0800

zfs-linux (0.6.5.9-5) unstable; urgency=medium

  * Add zfs initramfs conf for root pool setup
    (Closes: #848157, LP: #1673197)

 -- Aron Xu <aron@debian.org>  Sun, 19 Mar 2017 18:14:57 +0800

zfs-linux (0.6.5.9-4) unstable; urgency=medium

  * autopkgtest: load zfs module before running tests

 -- Aron Xu <aron@debian.org>  Tue, 14 Mar 2017 11:38:08 +0800

zfs-linux (0.6.5.9-3) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Updated German debconf translation by Helge Kreutzmann. (Closes: #857528)
  * Updated metadata on a few patches.

  [ Aron Xu ]
  * Cherry-pick upstream fix for merged /usr/lib and /lib
  * Manually maintain adt test Depends

 -- Aron Xu <aron@debian.org>  Mon, 13 Mar 2017 12:23:32 +0800

zfs-linux (0.6.5.9-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix zed-service-bindir patch

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2017 17:22:02 +0800

zfs-linux (0.6.5.9-1) unstable; urgency=medium

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.9 (Closes: #851513)

  [ Lukas Wunner ]
  * Cherry picks for root zpool with dracut (Closes: #849969)
  * Fix installation path of systemd files
  * Fix build breakage caused by nonstandard umask

  [ Fabian Grünbichler ]
  * fix python script install path (Closes: #842237)

 -- Aron Xu <aron@debian.org>  Mon, 06 Feb 2017 15:57:50 +0800

zfs-linux (0.6.5.8-3) unstable; urgency=medium

  * Fix the path on the zfs-zed unit file (Closes: #849813)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Thu, 05 Jan 2017 16:23:16 +0100

zfs-linux (0.6.5.8-2) unstable; urgency=medium

  [ Richard Laager ]
  * Remove .py extension from utilities in /usr/sbin as per policy
    10.4 Scripts (LP: #1628279)

  [ Colin Ian King ]
  * Use python3 for arcstat.py, arc_summary.py & dbufstat.py (LP: #1627909)

  [ Richard Laager ]
  * Set PATH in cron.d job to fix monthly scrubs. (LP: #1548009)

  [ Aron Xu ]
  * Install zed into /usr/sbin
  * Rename zfsutils path to follow the package name
  * Add missing part in python3 move
  * Install zed to /usr/sbin

  [ Petter Reinholdtsen ]
  * Updated Italian debconf translation by Beatrice Torracca.
    (Closes: #846928)
  * Added patch 1003-linux-4.9-compat.patch from upstream to build with
    Linux kernel 4.9. (Closes: #847018)

 -- Aron Xu <aron@debian.org>  Sat, 17 Dec 2016 17:42:21 +0800

zfs-linux (0.6.5.8-1) unstable; urgency=medium

  [ Carlos Alberto Lopez Perez ]
  * Reflow changelog from last upload to avoid lintian warning.

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.8 (Closes: #838192)
  * Conflicts with zutils (Closes: #836853)

  [ Zhou Mo ]
  * Patch: remove merged patches.
  * Upstream renamed zed.service to zfs-zed.service .
  * Avoid installing zfs-zed.service twice.

 -- Aron Xu <aron@debian.org>  Tue, 20 Sep 2016 15:20:21 +0800

zfs-linux (0.6.5.7-2) unstable; urgency=medium

  [ Aron Xu ]
  * Add busybox to zfs-initramfs list of dependencies. (Closes: #824976)

  [ Petter Reinholdtsen ]
  * Updated Danish debconf translation by Joe Hansen. (Closes: #830652)
  * Added Dutch (nl) debconf translation by Frans Spiesschaert.
    (Closes: #832280)
  * Norwegian Bokmål (nb) debconf template translation by Petter Reinholdtsen.

  [ Eric Desrochers ]
  * Change utilities path (bindir) to /usr/sbin. (Closes: #832938)

  [ Carlos Alberto Lopez Perez]
  * Add tunable to ignore hole_birth, and enable it by default.
    (Closes: #830824)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Tue, 16 Aug 2016 17:43:48 +0200

zfs-linux (0.6.5.7-1) unstable; urgency=medium

  [ YunQiang Su ]
  * 1002-fix-mips-build.patch: fix builds on mips* archs

  [ Aron Xu ]
  * New upstream release.
  * 1001-Fix-aarch64-compilation.patch: dropped, not needed anymore
  * Merge patches from Ubuntu:
    - 0002-Check-for-META-and-DCH-consistency-in-autoconf.patch
    - 0003-Add-libuutil-to-LIBADD-for-libzfs-and-libzfs_core.patch
    - enable-zed.patch

 -- Aron Xu <aron@debian.org>  Tue, 31 May 2016 14:10:49 +0800

zfs-linux (0.6.5.6-2) unstable; urgency=medium

  [ Aron Xu ]
  * Adding smoke testing scripts from Ubuntu
  * Fix binary module builds
  * Add libblkid-dev, libattr1-dev to build-dep
  * Re-sync source tree
  * Add dh-python to b-d
  * Remove .gitignore files and clean build tree
  * Scrub all healthy pools monthly from Richard Laager

  [ Petter Reinholdtsen ]
  * Copied 1000-ppc64el-endian-support.patch from Ubuntu to fix endian
    build problem on ppc64el
  * Copied 1001-Fix-aarch64-compilation.patch from Ubuntu to fix build
    problem on arm64.
  * Copied 0001-Prevent-manual-builds-in-the-DKMS-source.patch from
    Ubuntu to block manual building in the DKMS source tree.
  * Updated Standards-Version from 3.9.7 to 3.9.8.
  * Bring some files back to the upstream tarball content to get gbp
    buildpackage working.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 May 2016 12:19:55 +0200

zfs-linux (0.6.5.6-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 0.6.5.6.

  [ Petter Reinholdtsen ]
  * Generated new copyright.cme file based on version 0.6.5.6.
  * Updated d/copyright file, add missing BSD licensed init.d scripts, and
    new copyright holders in the new upstream version.
  * Updated Standards-Version from 3.9.6 to 3.9.7.
  * Added myself as uploader.
  * Updated debconf po files based on newest pot file.
  * Correct URL to git repo in d/control.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Mar 2016 07:08:11 +0000

zfs-linux (0.6.5.5-1) unstable; urgency=medium

  * Initial Release (Closes: #686447)

 -- Aron Xu <aron@debian.org>  Sun, 20 Mar 2016 22:57:06 +0800
